%define upstream_name	 SQLite-Work
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Perl module to report on and update an SQLite database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQLite/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(DBI)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::ArgvFile)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::NeatTemplate)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This generates HTML (and non-HTML) reports from an SQLite database, taking care
of the query-building and the report formatting. This also has methods for
adding and updating the database.

The SQLite::Work::CGI module has extra methods which deal with CGI using the
CGI module; the included "show.cgi" and "edit.cgi" are demonstration CGI
scripts which use the SQLite::Work::CGI module.

The sqlreport script uses SQLite::Work to generate reports from the
command-line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f | xargs chmod +w

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{perl_vendorlib}/SQLite
%{_mandir}/*/*
%{_bindir}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 372442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 267568
- adding missing buildrequires:
- update to 0.13

* Thu Feb 23 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 213447
- adding missing buildrequires:
- update to 0.12
- adding missing buildrequires:
- update to 0.11
- adding missing buildrequires:
- update to 0.1003

* Fri Jan 21 2011 jquelin <jquelin> 0.100.200-1.mga1
+ Revision: 28752
- mageia rebuild
- imported package perl-SQLite-Work

